Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network180.96.0.0/13
Usable hosts524,286
Subnet mask255.248.0.0
Addresses524,288
Network address
180.96.0.0
Broadcast address
180.103.255.255
First usable
180.96.0.1
Last usable
180.103.255.254
Usable hosts
524,286 (524,288 less the network and broadcast addresses)
Subnet mask
255.248.0.0
Wildcard mask
0.7.255.255 (Cisco ACLs, OSPF)
Prefix length
/13
Type
Public public
Old class
B (default /16)
As numbers
Hex B4600000 · Integer 3026190336 to 3026714623
Reverse DNS zones
96.180.in-addr.arpa
97.180.in-addr.arpa
98.180.in-addr.arpa
99.180.in-addr.arpa
100.180.in-addr.arpa
101.180.in-addr.arpa
102.180.in-addr.arpa
103.180.in-addr.arpa
/13 is not on a 8-bit boundary, so it takes 8 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address10110100.01100000.00000000.00000000180.96.0.0
Subnet mask11111111.11111000.00000000.00000000255.248.0.0
Network10110100.01100000.00000000.00000000180.96.0.0
Broadcast10110100.01100111.11111111.11111111180.103.255.255
Split into smaller subnets/23

180.96.0.0/13 makes 1,024 subnets of /23; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1180.96.0.0/23180.96.0.1 to 180.96.1.254180.96.1.255510
2180.96.2.0/23180.96.2.1 to 180.96.3.254180.96.3.255510
3180.96.4.0/23180.96.4.1 to 180.96.5.254180.96.5.255510
4180.96.6.0/23180.96.6.1 to 180.96.7.254180.96.7.255510
5180.96.8.0/23180.96.8.1 to 180.96.9.254180.96.9.255510
6180.96.10.0/23180.96.10.1 to 180.96.11.254180.96.11.255510
7180.96.12.0/23180.96.12.1 to 180.96.13.254180.96.13.255510
8180.96.14.0/23180.96.14.1 to 180.96.15.254180.96.15.255510
9180.96.16.0/23180.96.16.1 to 180.96.17.254180.96.17.255510
10180.96.18.0/23180.96.18.1 to 180.96.19.254180.96.19.255510
11180.96.20.0/23180.96.20.1 to 180.96.21.254180.96.21.255510
12180.96.22.0/23180.96.22.1 to 180.96.23.254180.96.23.255510
13180.96.24.0/23180.96.24.1 to 180.96.25.254180.96.25.255510
14180.96.26.0/23180.96.26.1 to 180.96.27.254180.96.27.255510
15180.96.28.0/23180.96.28.1 to 180.96.29.254180.96.29.255510
16180.96.30.0/23180.96.30.1 to 180.96.31.254180.96.31.255510
17180.96.32.0/23180.96.32.1 to 180.96.33.254180.96.33.255510
18180.96.34.0/23180.96.34.1 to 180.96.35.254180.96.35.255510
19180.96.36.0/23180.96.36.1 to 180.96.37.254180.96.37.255510
20180.96.38.0/23180.96.38.1 to 180.96.39.254180.96.39.255510
21180.96.40.0/23180.96.40.1 to 180.96.41.254180.96.41.255510
22180.96.42.0/23180.96.42.1 to 180.96.43.254180.96.43.255510
23180.96.44.0/23180.96.44.1 to 180.96.45.254180.96.45.255510
24180.96.46.0/23180.96.46.1 to 180.96.47.254180.96.47.255510
25180.96.48.0/23180.96.48.1 to 180.96.49.254180.96.49.255510
26180.96.50.0/23180.96.50.1 to 180.96.51.254180.96.51.255510
27180.96.52.0/23180.96.52.1 to 180.96.53.254180.96.53.255510
28180.96.54.0/23180.96.54.1 to 180.96.55.254180.96.55.255510
29180.96.56.0/23180.96.56.1 to 180.96.57.254180.96.57.255510
30180.96.58.0/23180.96.58.1 to 180.96.59.254180.96.59.255510
31180.96.60.0/23180.96.60.1 to 180.96.61.254180.96.61.255510
32180.96.62.0/23180.96.62.1 to 180.96.63.254180.96.63.255510
33180.96.64.0/23180.96.64.1 to 180.96.65.254180.96.65.255510
34180.96.66.0/23180.96.66.1 to 180.96.67.254180.96.67.255510
35180.96.68.0/23180.96.68.1 to 180.96.69.254180.96.69.255510
36180.96.70.0/23180.96.70.1 to 180.96.71.254180.96.71.255510
37180.96.72.0/23180.96.72.1 to 180.96.73.254180.96.73.255510
38180.96.74.0/23180.96.74.1 to 180.96.75.254180.96.75.255510
39180.96.76.0/23180.96.76.1 to 180.96.77.254180.96.77.255510
40180.96.78.0/23180.96.78.1 to 180.96.79.254180.96.79.255510
41180.96.80.0/23180.96.80.1 to 180.96.81.254180.96.81.255510
42180.96.82.0/23180.96.82.1 to 180.96.83.254180.96.83.255510
43180.96.84.0/23180.96.84.1 to 180.96.85.254180.96.85.255510
44180.96.86.0/23180.96.86.1 to 180.96.87.254180.96.87.255510
45180.96.88.0/23180.96.88.1 to 180.96.89.254180.96.89.255510
46180.96.90.0/23180.96.90.1 to 180.96.91.254180.96.91.255510
47180.96.92.0/23180.96.92.1 to 180.96.93.254180.96.93.255510
48180.96.94.0/23180.96.94.1 to 180.96.95.254180.96.95.255510
49180.96.96.0/23180.96.96.1 to 180.96.97.254180.96.97.255510
50180.96.98.0/23180.96.98.1 to 180.96.99.254180.96.99.255510
51180.96.100.0/23180.96.100.1 to 180.96.101.254180.96.101.255510
52180.96.102.0/23180.96.102.1 to 180.96.103.254180.96.103.255510
53180.96.104.0/23180.96.104.1 to 180.96.105.254180.96.105.255510
54180.96.106.0/23180.96.106.1 to 180.96.107.254180.96.107.255510
55180.96.108.0/23180.96.108.1 to 180.96.109.254180.96.109.255510
56180.96.110.0/23180.96.110.1 to 180.96.111.254180.96.111.255510
57180.96.112.0/23180.96.112.1 to 180.96.113.254180.96.113.255510
58180.96.114.0/23180.96.114.1 to 180.96.115.254180.96.115.255510
59180.96.116.0/23180.96.116.1 to 180.96.117.254180.96.117.255510
60180.96.118.0/23180.96.118.1 to 180.96.119.254180.96.119.255510
61180.96.120.0/23180.96.120.1 to 180.96.121.254180.96.121.255510
62180.96.122.0/23180.96.122.1 to 180.96.123.254180.96.123.255510
63180.96.124.0/23180.96.124.1 to 180.96.125.254180.96.125.255510
64180.96.126.0/23180.96.126.1 to 180.96.127.254180.96.127.255510
65180.96.128.0/23180.96.128.1 to 180.96.129.254180.96.129.255510
66180.96.130.0/23180.96.130.1 to 180.96.131.254180.96.131.255510
67180.96.132.0/23180.96.132.1 to 180.96.133.254180.96.133.255510
68180.96.134.0/23180.96.134.1 to 180.96.135.254180.96.135.255510
69180.96.136.0/23180.96.136.1 to 180.96.137.254180.96.137.255510
70180.96.138.0/23180.96.138.1 to 180.96.139.254180.96.139.255510
71180.96.140.0/23180.96.140.1 to 180.96.141.254180.96.141.255510
72180.96.142.0/23180.96.142.1 to 180.96.143.254180.96.143.255510
73180.96.144.0/23180.96.144.1 to 180.96.145.254180.96.145.255510
74180.96.146.0/23180.96.146.1 to 180.96.147.254180.96.147.255510
75180.96.148.0/23180.96.148.1 to 180.96.149.254180.96.149.255510
76180.96.150.0/23180.96.150.1 to 180.96.151.254180.96.151.255510
77180.96.152.0/23180.96.152.1 to 180.96.153.254180.96.153.255510
78180.96.154.0/23180.96.154.1 to 180.96.155.254180.96.155.255510
79180.96.156.0/23180.96.156.1 to 180.96.157.254180.96.157.255510
80180.96.158.0/23180.96.158.1 to 180.96.159.254180.96.159.255510
81180.96.160.0/23180.96.160.1 to 180.96.161.254180.96.161.255510
82180.96.162.0/23180.96.162.1 to 180.96.163.254180.96.163.255510
83180.96.164.0/23180.96.164.1 to 180.96.165.254180.96.165.255510
84180.96.166.0/23180.96.166.1 to 180.96.167.254180.96.167.255510
85180.96.168.0/23180.96.168.1 to 180.96.169.254180.96.169.255510
86180.96.170.0/23180.96.170.1 to 180.96.171.254180.96.171.255510
87180.96.172.0/23180.96.172.1 to 180.96.173.254180.96.173.255510
88180.96.174.0/23180.96.174.1 to 180.96.175.254180.96.175.255510
89180.96.176.0/23180.96.176.1 to 180.96.177.254180.96.177.255510
90180.96.178.0/23180.96.178.1 to 180.96.179.254180.96.179.255510
91180.96.180.0/23180.96.180.1 to 180.96.181.254180.96.181.255510
92180.96.182.0/23180.96.182.1 to 180.96.183.254180.96.183.255510
93180.96.184.0/23180.96.184.1 to 180.96.185.254180.96.185.255510
94180.96.186.0/23180.96.186.1 to 180.96.187.254180.96.187.255510
95180.96.188.0/23180.96.188.1 to 180.96.189.254180.96.189.255510
96180.96.190.0/23180.96.190.1 to 180.96.191.254180.96.191.255510
97180.96.192.0/23180.96.192.1 to 180.96.193.254180.96.193.255510
98180.96.194.0/23180.96.194.1 to 180.96.195.254180.96.195.255510
99180.96.196.0/23180.96.196.1 to 180.96.197.254180.96.197.255510
100180.96.198.0/23180.96.198.1 to 180.96.199.254180.96.199.255510
101180.96.200.0/23180.96.200.1 to 180.96.201.254180.96.201.255510
102180.96.202.0/23180.96.202.1 to 180.96.203.254180.96.203.255510
103180.96.204.0/23180.96.204.1 to 180.96.205.254180.96.205.255510
104180.96.206.0/23180.96.206.1 to 180.96.207.254180.96.207.255510
105180.96.208.0/23180.96.208.1 to 180.96.209.254180.96.209.255510
106180.96.210.0/23180.96.210.1 to 180.96.211.254180.96.211.255510
107180.96.212.0/23180.96.212.1 to 180.96.213.254180.96.213.255510
108180.96.214.0/23180.96.214.1 to 180.96.215.254180.96.215.255510
109180.96.216.0/23180.96.216.1 to 180.96.217.254180.96.217.255510
110180.96.218.0/23180.96.218.1 to 180.96.219.254180.96.219.255510
111180.96.220.0/23180.96.220.1 to 180.96.221.254180.96.221.255510
112180.96.222.0/23180.96.222.1 to 180.96.223.254180.96.223.255510
113180.96.224.0/23180.96.224.1 to 180.96.225.254180.96.225.255510
114180.96.226.0/23180.96.226.1 to 180.96.227.254180.96.227.255510
115180.96.228.0/23180.96.228.1 to 180.96.229.254180.96.229.255510
116180.96.230.0/23180.96.230.1 to 180.96.231.254180.96.231.255510
117180.96.232.0/23180.96.232.1 to 180.96.233.254180.96.233.255510
118180.96.234.0/23180.96.234.1 to 180.96.235.254180.96.235.255510
119180.96.236.0/23180.96.236.1 to 180.96.237.254180.96.237.255510
120180.96.238.0/23180.96.238.1 to 180.96.239.254180.96.239.255510
121180.96.240.0/23180.96.240.1 to 180.96.241.254180.96.241.255510
122180.96.242.0/23180.96.242.1 to 180.96.243.254180.96.243.255510
123180.96.244.0/23180.96.244.1 to 180.96.245.254180.96.245.255510
124180.96.246.0/23180.96.246.1 to 180.96.247.254180.96.247.255510
125180.96.248.0/23180.96.248.1 to 180.96.249.254180.96.249.255510
126180.96.250.0/23180.96.250.1 to 180.96.251.254180.96.251.255510
127180.96.252.0/23180.96.252.1 to 180.96.253.254180.96.253.255510
128180.96.254.0/23180.96.254.1 to 180.96.255.254180.96.255.255510
129180.97.0.0/23180.97.0.1 to 180.97.1.254180.97.1.255510
130180.97.2.0/23180.97.2.1 to 180.97.3.254180.97.3.255510
131180.97.4.0/23180.97.4.1 to 180.97.5.254180.97.5.255510
132180.97.6.0/23180.97.6.1 to 180.97.7.254180.97.7.255510
133180.97.8.0/23180.97.8.1 to 180.97.9.254180.97.9.255510
134180.97.10.0/23180.97.10.1 to 180.97.11.254180.97.11.255510
135180.97.12.0/23180.97.12.1 to 180.97.13.254180.97.13.255510
136180.97.14.0/23180.97.14.1 to 180.97.15.254180.97.15.255510
137180.97.16.0/23180.97.16.1 to 180.97.17.254180.97.17.255510
138180.97.18.0/23180.97.18.1 to 180.97.19.254180.97.19.255510
139180.97.20.0/23180.97.20.1 to 180.97.21.254180.97.21.255510
140180.97.22.0/23180.97.22.1 to 180.97.23.254180.97.23.255510
141180.97.24.0/23180.97.24.1 to 180.97.25.254180.97.25.255510
142180.97.26.0/23180.97.26.1 to 180.97.27.254180.97.27.255510
143180.97.28.0/23180.97.28.1 to 180.97.29.254180.97.29.255510
144180.97.30.0/23180.97.30.1 to 180.97.31.254180.97.31.255510
145180.97.32.0/23180.97.32.1 to 180.97.33.254180.97.33.255510
146180.97.34.0/23180.97.34.1 to 180.97.35.254180.97.35.255510
147180.97.36.0/23180.97.36.1 to 180.97.37.254180.97.37.255510
148180.97.38.0/23180.97.38.1 to 180.97.39.254180.97.39.255510
149180.97.40.0/23180.97.40.1 to 180.97.41.254180.97.41.255510
150180.97.42.0/23180.97.42.1 to 180.97.43.254180.97.43.255510
151180.97.44.0/23180.97.44.1 to 180.97.45.254180.97.45.255510
152180.97.46.0/23180.97.46.1 to 180.97.47.254180.97.47.255510
153180.97.48.0/23180.97.48.1 to 180.97.49.254180.97.49.255510
154180.97.50.0/23180.97.50.1 to 180.97.51.254180.97.51.255510
155180.97.52.0/23180.97.52.1 to 180.97.53.254180.97.53.255510
156180.97.54.0/23180.97.54.1 to 180.97.55.254180.97.55.255510
157180.97.56.0/23180.97.56.1 to 180.97.57.254180.97.57.255510
158180.97.58.0/23180.97.58.1 to 180.97.59.254180.97.59.255510
159180.97.60.0/23180.97.60.1 to 180.97.61.254180.97.61.255510
160180.97.62.0/23180.97.62.1 to 180.97.63.254180.97.63.255510
161180.97.64.0/23180.97.64.1 to 180.97.65.254180.97.65.255510
162180.97.66.0/23180.97.66.1 to 180.97.67.254180.97.67.255510
163180.97.68.0/23180.97.68.1 to 180.97.69.254180.97.69.255510
164180.97.70.0/23180.97.70.1 to 180.97.71.254180.97.71.255510
165180.97.72.0/23180.97.72.1 to 180.97.73.254180.97.73.255510
166180.97.74.0/23180.97.74.1 to 180.97.75.254180.97.75.255510
167180.97.76.0/23180.97.76.1 to 180.97.77.254180.97.77.255510
168180.97.78.0/23180.97.78.1 to 180.97.79.254180.97.79.255510
169180.97.80.0/23180.97.80.1 to 180.97.81.254180.97.81.255510
170180.97.82.0/23180.97.82.1 to 180.97.83.254180.97.83.255510
171180.97.84.0/23180.97.84.1 to 180.97.85.254180.97.85.255510
172180.97.86.0/23180.97.86.1 to 180.97.87.254180.97.87.255510
173180.97.88.0/23180.97.88.1 to 180.97.89.254180.97.89.255510
174180.97.90.0/23180.97.90.1 to 180.97.91.254180.97.91.255510
175180.97.92.0/23180.97.92.1 to 180.97.93.254180.97.93.255510
176180.97.94.0/23180.97.94.1 to 180.97.95.254180.97.95.255510
177180.97.96.0/23180.97.96.1 to 180.97.97.254180.97.97.255510
178180.97.98.0/23180.97.98.1 to 180.97.99.254180.97.99.255510
179180.97.100.0/23180.97.100.1 to 180.97.101.254180.97.101.255510
180180.97.102.0/23180.97.102.1 to 180.97.103.254180.97.103.255510
181180.97.104.0/23180.97.104.1 to 180.97.105.254180.97.105.255510
182180.97.106.0/23180.97.106.1 to 180.97.107.254180.97.107.255510
183180.97.108.0/23180.97.108.1 to 180.97.109.254180.97.109.255510
184180.97.110.0/23180.97.110.1 to 180.97.111.254180.97.111.255510
185180.97.112.0/23180.97.112.1 to 180.97.113.254180.97.113.255510
186180.97.114.0/23180.97.114.1 to 180.97.115.254180.97.115.255510
187180.97.116.0/23180.97.116.1 to 180.97.117.254180.97.117.255510
188180.97.118.0/23180.97.118.1 to 180.97.119.254180.97.119.255510
189180.97.120.0/23180.97.120.1 to 180.97.121.254180.97.121.255510
190180.97.122.0/23180.97.122.1 to 180.97.123.254180.97.123.255510
191180.97.124.0/23180.97.124.1 to 180.97.125.254180.97.125.255510
192180.97.126.0/23180.97.126.1 to 180.97.127.254180.97.127.255510
193180.97.128.0/23180.97.128.1 to 180.97.129.254180.97.129.255510
194180.97.130.0/23180.97.130.1 to 180.97.131.254180.97.131.255510
195180.97.132.0/23180.97.132.1 to 180.97.133.254180.97.133.255510
196180.97.134.0/23180.97.134.1 to 180.97.135.254180.97.135.255510
197180.97.136.0/23180.97.136.1 to 180.97.137.254180.97.137.255510
198180.97.138.0/23180.97.138.1 to 180.97.139.254180.97.139.255510
199180.97.140.0/23180.97.140.1 to 180.97.141.254180.97.141.255510
200180.97.142.0/23180.97.142.1 to 180.97.143.254180.97.143.255510
201180.97.144.0/23180.97.144.1 to 180.97.145.254180.97.145.255510
202180.97.146.0/23180.97.146.1 to 180.97.147.254180.97.147.255510
203180.97.148.0/23180.97.148.1 to 180.97.149.254180.97.149.255510
204180.97.150.0/23180.97.150.1 to 180.97.151.254180.97.151.255510
205180.97.152.0/23180.97.152.1 to 180.97.153.254180.97.153.255510
206180.97.154.0/23180.97.154.1 to 180.97.155.254180.97.155.255510
207180.97.156.0/23180.97.156.1 to 180.97.157.254180.97.157.255510
208180.97.158.0/23180.97.158.1 to 180.97.159.254180.97.159.255510
209180.97.160.0/23180.97.160.1 to 180.97.161.254180.97.161.255510
210180.97.162.0/23180.97.162.1 to 180.97.163.254180.97.163.255510
211180.97.164.0/23180.97.164.1 to 180.97.165.254180.97.165.255510
212180.97.166.0/23180.97.166.1 to 180.97.167.254180.97.167.255510
213180.97.168.0/23180.97.168.1 to 180.97.169.254180.97.169.255510
214180.97.170.0/23180.97.170.1 to 180.97.171.254180.97.171.255510
215180.97.172.0/23180.97.172.1 to 180.97.173.254180.97.173.255510
216180.97.174.0/23180.97.174.1 to 180.97.175.254180.97.175.255510
217180.97.176.0/23180.97.176.1 to 180.97.177.254180.97.177.255510
218180.97.178.0/23180.97.178.1 to 180.97.179.254180.97.179.255510
219180.97.180.0/23180.97.180.1 to 180.97.181.254180.97.181.255510
220180.97.182.0/23180.97.182.1 to 180.97.183.254180.97.183.255510
221180.97.184.0/23180.97.184.1 to 180.97.185.254180.97.185.255510
222180.97.186.0/23180.97.186.1 to 180.97.187.254180.97.187.255510
223180.97.188.0/23180.97.188.1 to 180.97.189.254180.97.189.255510
224180.97.190.0/23180.97.190.1 to 180.97.191.254180.97.191.255510
225180.97.192.0/23180.97.192.1 to 180.97.193.254180.97.193.255510
226180.97.194.0/23180.97.194.1 to 180.97.195.254180.97.195.255510
227180.97.196.0/23180.97.196.1 to 180.97.197.254180.97.197.255510
228180.97.198.0/23180.97.198.1 to 180.97.199.254180.97.199.255510
229180.97.200.0/23180.97.200.1 to 180.97.201.254180.97.201.255510
230180.97.202.0/23180.97.202.1 to 180.97.203.254180.97.203.255510
231180.97.204.0/23180.97.204.1 to 180.97.205.254180.97.205.255510
232180.97.206.0/23180.97.206.1 to 180.97.207.254180.97.207.255510
233180.97.208.0/23180.97.208.1 to 180.97.209.254180.97.209.255510
234180.97.210.0/23180.97.210.1 to 180.97.211.254180.97.211.255510
235180.97.212.0/23180.97.212.1 to 180.97.213.254180.97.213.255510
236180.97.214.0/23180.97.214.1 to 180.97.215.254180.97.215.255510
237180.97.216.0/23180.97.216.1 to 180.97.217.254180.97.217.255510
238180.97.218.0/23180.97.218.1 to 180.97.219.254180.97.219.255510
239180.97.220.0/23180.97.220.1 to 180.97.221.254180.97.221.255510
240180.97.222.0/23180.97.222.1 to 180.97.223.254180.97.223.255510
241180.97.224.0/23180.97.224.1 to 180.97.225.254180.97.225.255510
242180.97.226.0/23180.97.226.1 to 180.97.227.254180.97.227.255510
243180.97.228.0/23180.97.228.1 to 180.97.229.254180.97.229.255510
244180.97.230.0/23180.97.230.1 to 180.97.231.254180.97.231.255510
245180.97.232.0/23180.97.232.1 to 180.97.233.254180.97.233.255510
246180.97.234.0/23180.97.234.1 to 180.97.235.254180.97.235.255510
247180.97.236.0/23180.97.236.1 to 180.97.237.254180.97.237.255510
248180.97.238.0/23180.97.238.1 to 180.97.239.254180.97.239.255510
249180.97.240.0/23180.97.240.1 to 180.97.241.254180.97.241.255510
250180.97.242.0/23180.97.242.1 to 180.97.243.254180.97.243.255510
251180.97.244.0/23180.97.244.1 to 180.97.245.254180.97.245.255510
252180.97.246.0/23180.97.246.1 to 180.97.247.254180.97.247.255510
253180.97.248.0/23180.97.248.1 to 180.97.249.254180.97.249.255510
254180.97.250.0/23180.97.250.1 to 180.97.251.254180.97.251.255510
255180.97.252.0/23180.97.252.1 to 180.97.253.254180.97.253.255510
256180.97.254.0/23180.97.254.1 to 180.97.255.254180.97.255.255510

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses